For the complete documentation index, see llms.txt. This page is also available as Markdown.

Remove product coupon

Use this method to remove discount coupons applied to products added to the cart.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect

coupon

Required (string) The coupon/voucher code for a promotion impacting a product added to cart.

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner
require ('PATH_TO_ADD_PRODUCT'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/08Place_an_order/00Add_product_to_cart
require ('PATH_TO_ADD_COUPON'); // addCoupon example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/08Place_an_order/06Add_product_coupon

$couponCode = 'COUPON_CODE_TO_REMOVE';

$jsonRpcRequest = array (
  'jsonrpc' => '2.0',
  'id' => $i++,
  'method' => 'deleteCoupon',
  'params' => array($sessionID,$couponCode)
);

var_dump (callRPC((Object)$jsonRpcRequest, $host));

Response parameters

Parameter
Type / Description

result

Boolean True or false

Errors

Error
Description

EMPTY_CART

The shopping cart is empty

INVALID_COUPON_CODE

The coupon code is empty

INVALID_COUPON

The coupon code is not applied to cart

Last updated

Was this helpful?